Google Meet API v2 - Package cloud.google.com/go/apps/meet/apiv2/meetpb (v0.9.0)

Constants

SpacesService_CreateSpace_FullMethodName, SpacesService_GetSpace_FullMethodName, SpacesService_UpdateSpace_FullMethodName, SpacesService_EndActiveConference_FullMethodName

const (
	SpacesService_CreateSpace_FullMethodName         = "/google.apps.meet.v2.SpacesService/CreateSpace"
	SpacesService_GetSpace_FullMethodName            = "/google.apps.meet.v2.SpacesService/GetSpace"
	SpacesService_UpdateSpace_FullMethodName         = "/google.apps.meet.v2.SpacesService/UpdateSpace"
	SpacesService_EndActiveConference_FullMethodName = "/google.apps.meet.v2.SpacesService/EndActiveConference"
)

ConferenceRecordsService_GetConferenceRecord_FullMethodName, ConferenceRecordsService_ListConferenceRecords_FullMethodName, ConferenceRecordsService_GetParticipant_FullMethodName, ConferenceRecordsService_ListParticipants_FullMethodName, ConferenceRecordsService_GetParticipantSession_FullMethodName, ConferenceRecordsService_ListParticipantSessions_FullMethodName, ConferenceRecordsService_GetRecording_FullMethodName, ConferenceRecordsService_ListRecordings_FullMethodName, ConferenceRecordsService_GetTranscript_FullMethodName, ConferenceRecordsService_ListTranscripts_FullMethodName, ConferenceRecordsService_GetTranscriptEntry_FullMethodName, ConferenceRecordsService_ListTranscriptEntries_FullMethodName

const (
	ConferenceRecordsService_GetConferenceRecord_FullMethodName     = "/google.apps.meet.v2.ConferenceRecordsService/GetConferenceRecord"
	ConferenceRecordsService_ListConferenceRecords_FullMethodName   = "/google.apps.meet.v2.ConferenceRecordsService/ListConferenceRecords"
	ConferenceRecordsService_GetParticipant_FullMethodName          = "/google.apps.meet.v2.ConferenceRecordsService/GetParticipant"
	ConferenceRecordsService_ListParticipants_FullMethodName        = "/google.apps.meet.v2.ConferenceRecordsService/ListParticipants"
	ConferenceRecordsService_GetParticipantSession_FullMethodName   = "/google.apps.meet.v2.ConferenceRecordsService/GetParticipantSession"
	ConferenceRecordsService_ListParticipantSessions_FullMethodName = "/google.apps.meet.v2.ConferenceRecordsService/ListParticipantSessions"
	ConferenceRecordsService_GetRecording_FullMethodName            = "/google.apps.meet.v2.ConferenceRecordsService/GetRecording"
	ConferenceRecordsService_ListRecordings_FullMethodName          = "/google.apps.meet.v2.ConferenceRecordsService/ListRecordings"
	ConferenceRecordsService_GetTranscript_FullMethodName           = "/google.apps.meet.v2.ConferenceRecordsService/GetTranscript"
	ConferenceRecordsService_ListTranscripts_FullMethodName         = "/google.apps.meet.v2.ConferenceRecordsService/ListTranscripts"
	ConferenceRecordsService_GetTranscriptEntry_FullMethodName      = "/google.apps.meet.v2.ConferenceRecordsService/GetTranscriptEntry"
	ConferenceRecordsService_ListTranscriptEntries_FullMethodName   = "/google.apps.meet.v2.ConferenceRecordsService/ListTranscriptEntries"
)

Variables

SpaceConfig_AccessType_name, SpaceConfig_AccessType_value

var (
	SpaceConfig_AccessType_name = map[int32]string{
		0: "ACCESS_TYPE_UNSPECIFIED",
		1: "OPEN",
		2: "TRUSTED",
		3: "RESTRICTED",
	}
	SpaceConfig_AccessType_value = map[string]int32{
		"ACCESS_TYPE_UNSPECIFIED": 0,
		"OPEN":                    1,
		"TRUSTED":                 2,
		"RESTRICTED":              3,
	}
)

Enum value maps for SpaceConfig_AccessType.

SpaceConfig_EntryPointAccess_name, SpaceConfig_EntryPointAccess_value

var (
	SpaceConfig_EntryPointAccess_name = map[int32]string{
		0: "ENTRY_POINT_ACCESS_UNSPECIFIED",
		1: "ALL",
		2: "CREATOR_APP_ONLY",
	}
	SpaceConfig_EntryPointAccess_value = map[string]int32{
		"ENTRY_POINT_ACCESS_UNSPECIFIED": 0,
		"ALL":                            1,
		"CREATOR_APP_ONLY":               2,
	}
)

Enum value maps for SpaceConfig_EntryPointAccess.

Recording_State_name, Recording_State_value

var (
	Recording_State_name = map[int32]string{
		0: "STATE_UNSPECIFIED",
		1: "STARTED",
		2: "ENDED",
		3: "FILE_GENERATED",
	}
	Recording_State_value = map[string]int32{
		"STATE_UNSPECIFIED": 0,
		"STARTED":           1,
		"ENDED":             2,
		"FILE_GENERATED":    3,
	}
)

Enum value maps for Recording_State.

Transcript_State_name, Transcript_State_value

var (
	Transcript_State_name = map[int32]string{
		0: "STATE_UNSPECIFIED",
		1: "STARTED",
		2: "ENDED",
		3: "FILE_GENERATED",
	}
	Transcript_State_value = map[string]int32{
		"STATE_UNSPECIFIED": 0,
		"STARTED":           1,
		"ENDED":             2,
		"FILE_GENERATED":    3,
	}
)

Enum value maps for Transcript_State.

ConferenceRecordsService_ServiceDesc

var ConferenceRecordsService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "google.apps.meet.v2.ConferenceRecordsService",
	HandlerType: (*ConferenceRecordsServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetConferenceRecord",
			Handler:    _ConferenceRecordsService_GetConferenceRecord_Handler,
		},
		{
			MethodName: "ListConferenceRecords",
			Handler:    _ConferenceRecordsService_ListConferenceRecords_Handler,
		},
		{
			MethodName: "GetParticipant",
			Handler:    _ConferenceRecordsService_GetParticipant_Handler,
		},
		{
			MethodName: "ListParticipants",
			Handler:    _ConferenceRecordsService_ListParticipants_Handler,
		},
		{
			MethodName: "GetParticipantSession",
			Handler:    _ConferenceRecordsService_GetParticipantSession_Handler,
		},
		{
			MethodName: "ListParticipantSessions",
			Handler:    _ConferenceRecordsService_ListParticipantSessions_Handler,
		},
		{
			MethodName: "GetRecording",
			Handler:    _ConferenceRecordsService_GetRecording_Handler,
		},
		{
			MethodName: "ListRecordings",
			Handler:    _ConferenceRecordsService_ListRecordings_Handler,
		},
		{
			MethodName: "GetTranscript",
			Handler:    _ConferenceRecordsService_GetTranscript_Handler,
		},
		{
			MethodName: "ListTranscripts",
			Handler:    _ConferenceRecordsService_ListTranscripts_Handler,
		},
		{
			MethodName: "GetTranscriptEntry",
			Handler:    _ConferenceRecordsService_GetTranscriptEntry_Handler,
		},
		{
			MethodName: "ListTranscriptEntries",
			Handler:    _ConferenceRecordsService_ListTranscriptEntries_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "google/apps/meet/v2/service.proto",
}

ConferenceRecordsService_ServiceDesc is the grpc.ServiceDesc for ConferenceRecordsService service. It's only intended for direct use with grpc.RegisterService, and not to be introspected or modified (even as a copy)

File_google_apps_meet_v2_resource_proto

var File_google_apps_meet_v2_resource_proto protoreflect.FileDescriptor

File_google_apps_meet_v2_service_proto

var File_google_apps_meet_v2_service_proto protoreflect.FileDescriptor

SpacesService_ServiceDesc

var SpacesService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "google.apps.meet.v2.SpacesService",
	HandlerType: (*SpacesServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateSpace",
			Handler:    _SpacesService_CreateSpace_Handler,
		},
		{
			MethodName: "GetSpace",
			Handler:    _SpacesService_GetSpace_Handler,
		},
		{
			MethodName: "UpdateSpace",
			Handler:    _SpacesService_UpdateSpace_Handler,
		},
		{
			MethodName: "EndActiveConference",
			Handler:    _SpacesService_EndActiveConference_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "google/apps/meet/v2/service.proto",
}

SpacesService_ServiceDesc is the grpc.ServiceDesc for SpacesService service. It's only intended for direct use with grpc.RegisterService, and not to be introspected or modified (even as a copy)

Functions

func RegisterConferenceRecordsServiceServer

func RegisterConferenceRecordsServiceServer(s grpc.ServiceRegistrar, srv ConferenceRecordsServiceServer)

func RegisterSpacesServiceServer

func RegisterSpacesServiceServer(s grpc.ServiceRegistrar, srv SpacesServiceServer)

ActiveConference

type ActiveConference struct {

	// Output only. Reference to 'ConferenceRecord' resource.
	// Format: `conferenceRecords/{conference_record}` where `{conference_record}`
	// is a unique ID for each instance of a call within a space.
	ConferenceRecord string `protobuf:"bytes,1,opt,name=conference_record,json=conferenceRecord,proto3" json:"conference_record,omitempty"`
	// contains filtered or unexported fields
}

Active conference.

func (*ActiveConference) Descriptor

func (*ActiveConference) Descriptor() ([]byte, []int)

Deprecated: Use ActiveConference.ProtoReflect.Descriptor instead.

func (*ActiveConference) GetConferenceRecord

func (x *ActiveConference) GetConferenceRecord() string

func (*ActiveConference) ProtoMessage

func (*ActiveConference) ProtoMessage()

func (*ActiveConference) ProtoReflect

func (x *ActiveConference) ProtoReflect() protoreflect.Message

func (*ActiveConference) Reset

func (x *ActiveConference) Reset()

func (*ActiveConference) String

func (x *ActiveConference) String() string

AnonymousUser

type AnonymousUser struct {

	// Output only. User provided name when they join a conference anonymously.
	DisplayName string `protobuf:"bytes,1,opt,name=display_name,json=displayName,proto3" json:"display_name,omitempty"`
	// contains filtered or unexported fields
}

User who joins anonymously (meaning not signed into a Google Account).

func (*AnonymousUser) Descriptor

func (*AnonymousUser) Descriptor() ([]byte, []int)

Deprecated: Use AnonymousUser.ProtoReflect.Descriptor instead.

func (*AnonymousUser) GetDisplayName

func (x *AnonymousUser) GetDisplayName() string

func (*AnonymousUser) ProtoMessage

func (*AnonymousUser) ProtoMessage()

func (*AnonymousUser) ProtoReflect

func (x *AnonymousUser) ProtoReflect() protoreflect.Message

func (*AnonymousUser) Reset

func (x *AnonymousUser) Reset()

func (*AnonymousUser) String

func (x *AnonymousUser) String() string

ConferenceRecord

type ConferenceRecord struct {

	// Identifier. Resource name of the conference record.
	// Format: `conferenceRecords/{conference_record}` where `{conference_record}`
	// is a unique ID for each instance of a call within a space.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Output only. Timestamp when the conference started. Always set.
	StartTime *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	// Output only. Timestamp when the conference ended.
	// Set for past conferences. Unset if the conference is ongoing.
	EndTime *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=end_time,json=endTime,proto3" json:"end_time,omitempty"`
	// Output only. Server enforced expiration time for when this conference
	// record resource is deleted. The resource is deleted 30 days after the
	// conference ends.
	ExpireTime *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=expire_time,json=expireTime,proto3" json:"expire_time,omitempty"`
	// Output only. The space where the conference was held.
	Space string `protobuf:"bytes,5,opt,name=space,proto3" json:"space,omitempty"`
	// contains filtered or unexported fields
}

Single instance of a meeting held in a space.

func (*ConferenceRecord) Descriptor

func (*ConferenceRecord) Descriptor() ([]byte, []int)

Deprecated: Use ConferenceRecord.ProtoReflect.Descriptor instead.

func (*ConferenceRecord) GetEndTime

func (x *ConferenceRecord) GetEndTime() *timestamppb.Timestamp

func (*ConferenceRecord) GetExpireTime

func (x *ConferenceRecord) GetExpireTime() *timestamppb.Timestamp

func (*ConferenceRecord) GetName

func (x *ConferenceRecord) GetName() string

func (*ConferenceRecord) GetSpace

func (x *ConferenceRecord) GetSpace() string

func (*ConferenceRecord) GetStartTime

func (x *ConferenceRecord) GetStartTime() *timestamppb.Timestamp

func (*ConferenceRecord) ProtoMessage

func (*ConferenceRecord) ProtoMessage()

func (*ConferenceRecord) ProtoReflect

func (x *ConferenceRecord) ProtoReflect() protoreflect.Message

func (*ConferenceRecord) Reset

func (x *ConferenceRecord) Reset()

func (*ConferenceRecord) String

func (x *ConferenceRecord) String() string

ConferenceRecordsServiceClient

type ConferenceRecordsServiceClient interface {
	// Gets a conference record by conference ID.
	GetConferenceRecord(ctx context.Context, in *GetConferenceRecordRequest, opts ...grpc.CallOption) (*ConferenceRecord, error)
	// Lists the conference records. By default, ordered by start time and in
	// descending order.
	ListConferenceRecords(ctx context.Context, in *ListConferenceRecordsRequest, opts ...grpc.CallOption) (*ListConferenceRecordsResponse, error)
	// Gets a participant by participant ID.
	GetParticipant(ctx context.Context, in *GetParticipantRequest, opts ...grpc.CallOption) (*Participant, error)
	// Lists the participants in a conference record. By default, ordered by join
	// time and in descending order. This API supports `fields` as standard
	// parameters like every other API. However, when the `fields` request
	// parameter is omitted, this API defaults to `'participants/*,
	// next_page_token'`.
	ListParticipants(ctx context.Context, in *ListParticipantsRequest, opts ...grpc.CallOption) (*ListParticipantsResponse, error)
	// Gets a participant session by participant session ID.
	GetParticipantSession(ctx context.Context, in *GetParticipantSessionRequest, opts ...grpc.CallOption) (*ParticipantSession, error)
	// Lists the participant sessions of a participant in a conference record. By
	// default, ordered by join time and in descending order. This API supports
	// `fields` as standard parameters like every other API. However, when the
	// `fields` request parameter is omitted this API defaults to
	// `'participantsessions/*, next_page_token'`.
	ListParticipantSessions(ctx context.Context, in *ListParticipantSessionsRequest, opts ...grpc.CallOption) (*ListParticipantSessionsResponse, error)
	// Gets a recording by recording ID.
	GetRecording(ctx context.Context, in *GetRecordingRequest, opts ...grpc.CallOption) (*Recording, error)
	// Lists the recording resources from the conference record. By default,
	// ordered by start time and in ascending order.
	ListRecordings(ctx context.Context, in *ListRecordingsRequest, opts ...grpc.CallOption) (*ListRecordingsResponse, error)
	// Gets a transcript by transcript ID.
	GetTranscript(ctx context.Context, in *GetTranscriptRequest, opts ...grpc.CallOption) (*Transcript, error)
	// Lists the set of transcripts from the conference record. By default,
	// ordered by start time and in ascending order.
	ListTranscripts(ctx context.Context, in *ListTranscriptsRequest, opts ...grpc.CallOption) (*ListTranscriptsResponse, error)
	// Gets a `TranscriptEntry` resource by entry ID.
	//
	// Note: The transcript entries returned by the Google Meet API might not
	// match the transcription found in the Google Docs transcript file. This can
	// occur when the Google Docs transcript file is modified after generation.
	GetTranscriptEntry(ctx context.Context, in *GetTranscriptEntryRequest, opts ...grpc.CallOption) (*TranscriptEntry, error)
	// Lists the structured transcript entries per transcript. By default, ordered
	// by start time and in ascending order.
	//
	// Note: The transcript entries returned by the Google Meet API might not
	// match the transcription found in the Google Docs transcript file. This can
	// occur when the Google Docs transcript file is modified after generation.
	ListTranscriptEntries(ctx context.Context, in *ListTranscriptEntriesRequest, opts ...grpc.CallOption) (*ListTranscriptEntriesResponse, error)
}

ConferenceRecordsServiceClient is the client API for ConferenceRecordsService service.

For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.

func NewConferenceRecordsServiceClient

func NewConferenceRecordsServiceClient(cc grpc.ClientConnInterface) ConferenceRecordsServiceClient

ConferenceRecordsServiceServer

type ConferenceRecordsServiceServer interface {
	// Gets a conference record by conference ID.
	GetConferenceRecord(context.Context, *GetConferenceRecordRequest) (*ConferenceRecord, error)
	// Lists the conference records. By default, ordered by start time and in
	// descending order.
	ListConferenceRecords(context.Context, *ListConferenceRecordsRequest) (*ListConferenceRecordsResponse, error)
	// Gets a participant by participant ID.
	GetParticipant(context.Context, *GetParticipantRequest) (*Participant, error)
	// Lists the participants in a conference record. By default, ordered by join
	// time and in descending order. This API supports `fields` as standard
	// parameters like every other API. However, when the `fields` request
	// parameter is omitted, this API defaults to `'participants/*,
	// next_page_token'`.
	ListParticipants(context.Context, *ListParticipantsRequest) (*ListParticipantsResponse, error)
	// Gets a participant session by participant session ID.
	GetParticipantSession(context.Context, *GetParticipantSessionRequest) (*ParticipantSession, error)
	// Lists the participant sessions of a participant in a conference record. By
	// default, ordered by join time and in descending order. This API supports
	// `fields` as standard parameters like every other API. However, when the
	// `fields` request parameter is omitted this API defaults to
	// `'participantsessions/*, next_page_token'`.
	ListParticipantSessions(context.Context, *ListParticipantSessionsRequest) (*ListParticipantSessionsResponse, error)
	// Gets a recording by recording ID.
	GetRecording(context.Context, *GetRecordingRequest) (*Recording, error)
	// Lists the recording resources from the conference record. By default,
	// ordered by start time and in ascending order.
	ListRecordings(context.Context, *ListRecordingsRequest) (*ListRecordingsResponse, error)
	// Gets a transcript by transcript ID.
	GetTranscript(context.Context, *GetTranscriptRequest) (*Transcript, error)
	// Lists the set of transcripts from the conference record. By default,
	// ordered by start time and in ascending order.
	ListTranscripts(context.Context, *ListTranscriptsRequest) (*ListTranscriptsResponse, error)
	// Gets a `TranscriptEntry` resource by entry ID.
	//
	// Note: The transcript entries returned by the Google Meet API might not
	// match the transcription found in the Google Docs transcript file. This can
	// occur when the Google Docs transcript file is modified after generation.
	GetTranscriptEntry(context.Context, *GetTranscriptEntryRequest) (*TranscriptEntry, error)
	// Lists the structured transcript entries per transcript. By default, ordered
	// by start time and in ascending order.
	//
	// Note: The transcript entries returned by the Google Meet API might not
	// match the transcription found in the Google Docs transcript file. This can
	// occur when the Google Docs transcript file is modified after generation.
	ListTranscriptEntries(context.Context, *ListTranscriptEntriesRequest) (*ListTranscriptEntriesResponse, error)
}

ConferenceRecordsServiceServer is the server API for ConferenceRecordsService service. All implementations should embed UnimplementedConferenceRecordsServiceServer for forward compatibility

CreateSpaceRequest

type CreateSpaceRequest struct {

	// Space to be created. As of May 2023, the input space can be empty. Later on
	// the input space can be non-empty when space configuration is introduced.
	Space *Space `protobuf:"bytes,1,opt,name=space,proto3" json:"space,omitempty"`
	// contains filtered or unexported fields
}

Request to create a space.

func (*CreateSpaceRequest) Descriptor

func (*CreateSpaceRequest) Descriptor() ([]byte, []int)

Deprecated: Use CreateSpaceRequest.ProtoReflect.Descriptor instead.

func (*CreateSpaceRequest) GetSpace

func (x *CreateSpaceRequest) GetSpace() *Space

func (*CreateSpaceRequest) ProtoMessage

func (*CreateSpaceRequest) ProtoMessage()

func (*CreateSpaceRequest) ProtoReflect

func (x *CreateSpaceRequest) ProtoReflect() protoreflect.Message

func (*CreateSpaceRequest) Reset

func (x *CreateSpaceRequest) Reset()

func (*CreateSpaceRequest) String

func (x *CreateSpaceRequest) String() string

DocsDestination

type DocsDestination struct {

	// Output only. The document ID for the underlying Google Docs transcript
	// file. For example, "1kuceFZohVoCh6FulBHxwy6I15Ogpc4hP". Use the
	// `documents.get` method of the Google Docs API
	// (https://developers.google.com/docs/api/reference/rest/v1/documents/get) to
	// fetch the content.
	Document string `protobuf:"bytes,1,opt,name=document,proto3" json:"document,omitempty"`
	// Output only. URI for the Google Docs transcript file. Use
	// `https://docs.google.com/document/d/{$DocumentId}/view` to browse the
	// transcript in the browser.
	ExportUri string `protobuf:"bytes,2,opt,name=export_uri,json=exportUri,proto3" json:"export_uri,omitempty"`
	// contains filtered or unexported fields
}

Google Docs location where the transcript file is saved.

func (*DocsDestination) Descriptor

func (*DocsDestination) Descriptor() ([]byte, []int)

Deprecated: Use DocsDestination.ProtoReflect.Descriptor instead.

func (*DocsDestination) GetDocument

func (x *DocsDestination) GetDocument() string

func (*DocsDestination) GetExportUri

func (x *DocsDestination) GetExportUri() string

func (*DocsDestination) ProtoMessage

func (*DocsDestination) ProtoMessage()

func (*DocsDestination) ProtoReflect

func (x *DocsDestination) ProtoReflect() protoreflect.Message

func (*DocsDestination) Reset

func (x *DocsDestination) Reset()

func (*DocsDestination) String

func (x *DocsDestination) String() string

DriveDestination

type DriveDestination struct {

	// Output only. The `fileId` for the underlying MP4 file. For example,
	// "1kuceFZohVoCh6FulBHxwy6I15Ogpc4hP". Use `$ GET
	// https://www.googleapis.com/drive/v3/files/{$fileId}?alt=media` to download
	// the blob. For more information, see
	// https://developers.google.com/drive/api/v3/reference/files/get.
	File string `protobuf:"bytes,1,opt,name=file,proto3" json:"file,omitempty"`
	// Output only. Link used to play back the recording file in the browser. For
	// example, `https://drive.google.com/file/d/{$fileId}/view`.
	ExportUri string `protobuf:"bytes,2,opt,name=export_uri,json=exportUri,proto3" json:"export_uri,omitempty"`
	// contains filtered or unexported fields
}

Export location where a recording file is saved in Google Drive.

func (*DriveDestination) Descriptor

func (*DriveDestination) Descriptor() ([]byte, []int)

Deprecated: Use DriveDestination.ProtoReflect.Descriptor instead.

func (*DriveDestination) GetExportUri

func (x *DriveDestination) GetExportUri() string

func (*DriveDestination) GetFile

func (x *DriveDestination) GetFile() string

func (*DriveDestination) ProtoMessage

func (*DriveDestination) ProtoMessage()

func (*DriveDestination) ProtoReflect

func (x *DriveDestination) ProtoReflect() protoreflect.Message

func (*DriveDestination) Reset

func (x *DriveDestination) Reset()

func (*DriveDestination) String

func (x *DriveDestination) String() string

EndActiveConferenceRequest

type EndActiveConferenceRequest struct {

	// Required. Resource name of the space.
	//
	// Format: `spaces/{space}`.
	//
	// `{space}` is the resource identifier for the space. It's a unique,
	// server-generated ID and is case sensitive. For example, `jQCFfuBOdN5z`.
	//
	// For more information, see [How Meet identifies a meeting
	// space](https://developers.google.com/meet/api/guides/meeting-spaces#identify-meeting-space).
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// contains filtered or unexported fields
}

Request to end an ongoing conference of a space.

func (*EndActiveConferenceRequest) Descriptor

func (*EndActiveConferenceRequest) Descriptor() ([]byte, []int)

Deprecated: Use EndActiveConferenceRequest.ProtoReflect.Descriptor instead.

func (*EndActiveConferenceRequest) GetName

func (x *EndActiveConferenceRequest) GetName() string

func (*EndActiveConferenceRequest) ProtoMessage

func (*EndActiveConferenceRequest) ProtoMessage()

func (*EndActiveConferenceRequest) ProtoReflect

func (*EndActiveConferenceRequest) Reset

func (x *EndActiveConferenceRequest) Reset()

func (*EndActiveConferenceRequest) String

func (x *EndActiveConferenceRequest) String() string

GetConferenceRecordRequest

type GetConferenceRecordRequest struct {

	// Required. Resource name of the conference.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// contains filtered or unexported fields
}

Request to get a conference record.

func (*GetConferenceRecordRequest) Descriptor

func (*GetConferenceRecordRequest) Descriptor() ([]byte, []int)

Deprecated: Use GetConferenceRecordRequest.ProtoReflect.Descriptor instead.

func (*GetConferenceRecordRequest) GetName

func (x *GetConferenceRecordRequest) GetName() string

func (*GetConferenceRecordRequest) ProtoMessage

func (*GetConferenceRecordRequest) ProtoMessage()

func (*GetConferenceRecordRequest) ProtoReflect

func (*GetConferenceRecordRequest) Reset

func (x *GetConferenceRecordRequest) Reset()

func (*GetConferenceRecordRequest) String

func (x *GetConferenceRecordRequest) String() string

GetParticipantRequest

type GetParticipantRequest struct {

	// Required. Resource name of the participant.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// contains filtered or unexported fields
}

Request to get a participant.

func (*GetParticipantRequest) Descriptor

func (*GetParticipantRequest) Descriptor() ([]byte, []int)

Deprecated: Use GetParticipantRequest.ProtoReflect.Descriptor instead.

func (*GetParticipantRequest) GetName

func (x *GetParticipantRequest) GetName() string

func (*GetParticipantRequest) ProtoMessage

func (*GetParticipantRequest) ProtoMessage()

func (*GetParticipantRequest) ProtoReflect

func (x *GetParticipantRequest) ProtoReflect() protoreflect.Message

func (*GetParticipantRequest) Reset

func (x *GetParticipantRequest) Reset()

func (*GetParticipantRequest) String

func (x *GetParticipantRequest) String() string

GetParticipantSessionRequest

type GetParticipantSessionRequest struct {

	// Required. Resource name of the participant.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// contains filtered or unexported fields
}

Request to get a participant session.

func (*GetParticipantSessionRequest) Descriptor

func (*GetParticipantSessionRequest) Descriptor() ([]byte, []int)

Deprecated: Use GetParticipantSessionRequest.ProtoReflect.Descriptor instead.

func (*GetParticipantSessionRequest) GetName

func (x *GetParticipantSessionRequest) GetName() string

func (*GetParticipantSessionRequest) ProtoMessage

func (*GetParticipantSessionRequest) ProtoMessage()

func (*GetParticipantSessionRequest) ProtoReflect

func (*GetParticipantSessionRequest) Reset

func (x *GetParticipantSessionRequest) Reset()

func (*GetParticipantSessionRequest) String

GetRecordingRequest

type GetRecordingRequest struct {

	// Required. Resource name of the recording.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// contains filtered or unexported fields
}

Request message for GetRecording method.

func (*GetRecordingRequest) Descriptor

func (*GetRecordingRequest) Descriptor() ([]byte, []int)

Deprecated: Use GetRecordingRequest.ProtoReflect.Descriptor instead.

func (*GetRecordingRequest) GetName

func (x *GetRecordingRequest) GetName() string

func (*GetRecordingRequest) ProtoMessage

func (*GetRecordingRequest) ProtoMessage()

func (*GetRecordingRequest) ProtoReflect

func (x *GetRecordingRequest) ProtoReflect() protoreflect.Message

func (*GetRecordingRequest) Reset

func (x *GetRecordingRequest) Reset()

func (*GetRecordingRequest) String

func (x *GetRecordingRequest) String() string

GetSpaceRequest

type GetSpaceRequest struct {

	// Required. Resource name of the space.
	//
	// Format: `spaces/{space}` or `spaces/{meetingCode}`.
	//
	// `{space}` is the resource identifier for the space. It's a unique,
	// server-generated ID and is case sensitive. For example, `jQCFfuBOdN5z`.
	//
	// `{meetingCode}` is an alias for the space. It's a typeable, unique
	// character string and is non-case sensitive. For example, `abc-mnop-xyz`.
	// The maximum length is 128 characters.
	//
	// A `meetingCode` shouldn't be stored long term as it can become
	// dissociated from a meeting space and can be reused for different meeting
	// spaces in the future. Generally, a `meetingCode` expires 365 days after
	// last use. For more information, see [Learn about meeting codes in Google
	// Meet](https://support.google.com/meet/answer/10710509).
	//
	// For more information, see [How Meet identifies a meeting
	// space](https://developers.google.com/meet/api/guides/meeting-spaces#identify-meeting-space).
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// contains filtered or unexported fields
}

Request to get a space.

func (*GetSpaceRequest) Descriptor

func (*GetSpaceRequest) Descriptor() ([]byte, []int)

Deprecated: Use GetSpaceRequest.ProtoReflect.Descriptor instead.

func (*GetSpaceRequest) GetName

func (x *GetSpaceRequest) GetName() string

func (*GetSpaceRequest) ProtoMessage

func (*GetSpaceRequest) ProtoMessage()

func (*GetSpaceRequest) ProtoReflect

func (x *GetSpaceRequest) ProtoReflect() protoreflect.Message

func (*GetSpaceRequest) Reset

func (x *GetSpaceRequest) Reset()

func (*GetSpaceRequest) String

func (x *GetSpaceRequest) String() string

GetTranscriptEntryRequest

type GetTranscriptEntryRequest struct {

	// Required. Resource name of the `TranscriptEntry`.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// contains filtered or unexported fields
}

Request for GetTranscriptEntry method.

func (*GetTranscriptEntryRequest) Descriptor

func (*GetTranscriptEntryRequest) Descriptor() ([]byte, []int)

Deprecated: Use GetTranscriptEntryRequest.ProtoReflect.Descriptor instead.

func (*GetTranscriptEntryRequest) GetName

func (x *GetTranscriptEntryRequest) GetName() string

func (*GetTranscriptEntryRequest) ProtoMessage

func (*GetTranscriptEntryRequest) ProtoMessage()

func (*GetTranscriptEntryRequest) ProtoReflect

func (*GetTranscriptEntryRequest) Reset

func (x *GetTranscriptEntryRequest) Reset()

func (*GetTranscriptEntryRequest) String

func (x *GetTranscriptEntryRequest) String() string

GetTranscriptRequest

type GetTranscriptRequest struct {

	// Required. Resource name of the transcript.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// contains filtered or unexported fields
}

Request for GetTranscript method.

func (*GetTranscriptRequest) Descriptor

func (*GetTranscriptRequest) Descriptor() ([]byte, []int)

Deprecated: Use GetTranscriptRequest.ProtoReflect.Descriptor instead.

func (*GetTranscriptRequest) GetName

func (x *GetTranscriptRequest) GetName() string

func (*GetTranscriptRequest) ProtoMessage

func (*GetTranscriptRequest) ProtoMessage()

func (*GetTranscriptRequest) ProtoReflect

func (x *GetTranscriptRequest) ProtoReflect() protoreflect.Message

func (*GetTranscriptRequest) Reset

func (x *GetTranscriptRequest) Reset()

func (*GetTranscriptRequest) String

func (x *GetTranscriptRequest) String() string

ListConferenceRecordsRequest

type ListConferenceRecordsRequest struct {

	// Optional. Maximum number of conference records to return. The service might
	// return fewer than this value. If unspecified, at most 25 conference records
	// are returned. The maximum value is 100; values above 100 are coerced to
	// 100. Maximum might change in the future.
	PageSize int32 `protobuf:"varint,1,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// Optional. Page token returned from previous List Call.
	PageToken string `protobuf:"bytes,2,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	// Optional. User specified filtering condition in [EBNF
	// format](https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form).
	// The following are the filterable fields:
	//
	// * `space.meeting_code`
	// * `space.name`
	// * `start_time`
	// * `end_time`
	//
	// For example, consider the following filters:
	//
	// * `space.name = "spaces/NAME"`
	// * `space.meeting_code = "abc-mnop-xyz"`
	// * `start_time>="2024-01-01T00:00:00.000Z" AND
	// start_time<="2024-01-02t00:00:00.000z"` *="" `end_time="" is="" null`="" filter="">string `protobuf:"bytes,3,opt,name=filter,proto3" json:"filter,omitempty"`
	// contains filtered or unexported fields
}

Request to fetch list of conference records per user.

func (*ListConferenceRecordsRequest) Descriptor

func (*ListConferenceRecordsRequest) Descriptor() ([]byte, []int)

Deprecated: Use ListConferenceRecordsRequest.ProtoReflect.Descriptor instead.

func (*ListConferenceRecordsRequest) GetFilter

func (x *ListConferenceRecordsRequest) GetFilter() string

func (*ListConferenceRecordsRequest) GetPageSize

func (x *ListConferenceRecordsRequest) GetPageSize() int32

func (*ListConferenceRecordsRequest) GetPageToken

func (x *ListConferenceRecordsRequest) GetPageToken() string

func (*ListConferenceRecordsRequest) ProtoMessage

func (*ListConferenceRecordsRequest) ProtoMessage()

func (*ListConferenceRecordsRequest) ProtoReflect

func (*ListConferenceRecordsRequest) Reset

func (x *ListConferenceRecordsRequest) Reset()

func (*ListConferenceRecordsRequest) String

ListConferenceRecordsResponse

type ListConferenceRecordsResponse struct {

	// List of conferences in one page.
	ConferenceRecords []*ConferenceRecord `protobuf:"bytes,1,rep,name=conference_records,json=conferenceRecords,proto3" json:"conference_records,omitempty"`
	// Token to be circulated back for further List call if current List does NOT
	// include all the Conferences. Unset if all conferences have been returned.
	NextPageToken string `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	// contains filtered or unexported fields
}

Response of ListConferenceRecords method.

func (*ListConferenceRecordsResponse) Descriptor

func (*ListConferenceRecordsResponse) Descriptor() ([]byte, []int)

Deprecated: Use ListConferenceRecordsResponse.ProtoReflect.Descriptor instead.

func (*ListConferenceRecordsResponse) GetConferenceRecords

func (x *ListConferenceRecordsResponse) GetConferenceRecords() []*ConferenceRecord

func (*ListConferenceRecordsResponse) GetNextPageToken

func (x *ListConferenceRecordsResponse) GetNextPageToken() string

func (*ListConferenceRecordsResponse) ProtoMessage

func (*ListConferenceRecordsResponse) ProtoMessage()

func (*ListConferenceRecordsResponse) ProtoReflect

func (*ListConferenceRecordsResponse) Reset

func (x *ListConferenceRecordsResponse) Reset()

func (*ListConferenceRecordsResponse) String

ListParticipantSessionsRequest

type ListParticipantSessionsRequest struct {

	// Required. Format:
	// `conferenceRecords/{conference_record}/participants/{participant}`
	Parent string `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	// Optional. Maximum number of participant sessions to return. The service
	// might return fewer than this value. If unspecified, at most 100
	// participants are returned. The maximum value is 250; values above 250 are
	// coerced to 250. Maximum might change in the future.
	PageSize int32 `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// Optional. Page token returned from previous List Call.
	PageToken string `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	// Optional. User specified filtering condition in [EBNF
	// format](https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form).
	// The following are the filterable fields:
	//
	// * `start_time`
	// * `end_time`
	//
	// For example, `end_time IS NULL` returns active participant sessions in
	// the conference record.
	Filter string `protobuf:"bytes,4,opt,name=filter,proto3" json:"filter,omitempty"`
	// contains filtered or unexported fields
}

Request to fetch list of participant sessions per conference record, per participant.

func (*ListParticipantSessionsRequest) Descriptor

func (*ListParticipantSessionsRequest) Descriptor() ([]byte, []int)

Deprecated: Use ListParticipantSessionsRequest.ProtoReflect.Descriptor instead.

func (*ListParticipantSessionsRequest) GetFilter

func (x *ListParticipantSessionsRequest) GetFilter() string

func (*ListParticipantSessionsRequest) GetPageSize

func (x *ListParticipantSessionsRequest) GetPageSize() int32

func (*ListParticipantSessionsRequest) GetPageToken

func (x *ListParticipantSessionsRequest) GetPageToken() string

func (*ListParticipantSessionsRequest) GetParent

func (x *ListParticipantSessionsRequest) GetParent() string

func (*ListParticipantSessionsRequest) ProtoMessage

func (*ListParticipantSessionsRequest) ProtoMessage()

func (*ListParticipantSessionsRequest) ProtoReflect

func (*ListParticipantSessionsRequest) Reset

func (x *ListParticipantSessionsRequest) Reset()

func (*ListParticipantSessionsRequest) String

ListParticipantSessionsResponse

type ListParticipantSessionsResponse struct {

	// List of participants in one page.
	ParticipantSessions []*ParticipantSession `protobuf:"bytes,1,rep,name=participant_sessions,json=participantSessions,proto3" json:"participant_sessions,omitempty"`
	// Token to be circulated back for further List call if current List doesn't
	// include all the participants. Unset if all participants are returned.
	NextPageToken string `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	// contains filtered or unexported fields
}

Response of ListParticipants method.

func (*ListParticipantSessionsResponse) Descriptor

func (*ListParticipantSessionsResponse) Descriptor() ([]byte, []int)

Deprecated: Use ListParticipantSessionsResponse.ProtoReflect.Descriptor instead.

func (*ListParticipantSessionsResponse) GetNextPageToken

func (x *ListParticipantSessionsResponse) GetNextPageToken() string

func (*ListParticipantSessionsResponse) GetParticipantSessions

func (x *ListParticipantSessionsResponse) GetParticipantSessions() []*ParticipantSession

func (*ListParticipantSessionsResponse) ProtoMessage

func (*ListParticipantSessionsResponse) ProtoMessage()

func (*ListParticipantSessionsResponse) ProtoReflect

func (*ListParticipantSessionsResponse) Reset

func (*ListParticipantSessionsResponse) String

ListParticipantsRequest

type ListParticipantsRequest struct {

	// Required. Format: `conferenceRecords/{conference_record}`
	Parent string `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	// Maximum number of participants to return. The service might return fewer
	// than this value.
	// If unspecified, at most 100 participants are returned.
	// The maximum value is 250; values above 250 are coerced to 250.
	// Maximum might change in the future.
	PageSize int32 `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// Page token returned from previous List Call.
	PageToken string `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	// Optional. User specified filtering condition in [EBNF
	// format](https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form).
	// The following are the filterable fields:
	//
	// * `earliest_start_time`
	// * `latest_end_time`
	//
	// For example, `latest_end_time IS NULL` returns active participants in
	// the conference.
	Filter string `protobuf:"bytes,4,opt,name=filter,proto3" json:"filter,omitempty"`
	// contains filtered or unexported fields
}

Request to fetch list of participants per conference.

func (*ListParticipantsRequest) Descriptor

func (*ListParticipantsRequest) Descriptor() ([]byte, []int)

Deprecated: Use ListParticipantsRequest.ProtoReflect.Descriptor instead.

func (*ListParticipantsRequest) GetFilter

func (x *ListParticipantsRequest) GetFilter() string

func (*ListParticipantsRequest) GetPageSize

func (x *ListParticipantsRequest) GetPageSize() int32

func (*ListParticipantsRequest) GetPageToken

func (x *ListParticipantsRequest) GetPageToken() string

func (*ListParticipantsRequest) GetParent

func (x *ListParticipantsRequest) GetParent() string

func (*ListParticipantsRequest) ProtoMessage

func (*ListParticipantsRequest) ProtoMessage()

func (*ListParticipantsRequest) ProtoReflect

func (x *ListParticipantsRequest) ProtoReflect() protoreflect.Message

func (*ListParticipantsRequest) Reset

func (x *ListParticipantsRequest) Reset()

func (*ListParticipantsRequest) String

func (x *ListParticipantsRequest) String() string

ListParticipantsResponse

type ListParticipantsResponse struct {

	// List of participants in one page.
	Participants []*Participant `protobuf:"bytes,1,rep,name=participants,proto3" json:"participants,omitempty"`
	// Token to be circulated back for further List call if current List doesn't
	// include all the participants. Unset if all participants are returned.
	NextPageToken string `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	// Total, exact number of `participants`. By default, this field isn't
	// included in the response. Set the field mask in
	// [SystemParameterContext](https://cloud.google.com/apis/docs/system-parameters)
	// to receive this field in the response.
	TotalSize int32 `protobuf:"varint,3,opt,name=total_size,json=totalSize,proto3" json:"total_size,omitempty"`
	// contains filtered or unexported fields
}

Response of ListParticipants method.

func (*ListParticipantsResponse) Descriptor

func (*ListParticipantsResponse) Descriptor() ([]byte, []int)

Deprecated: Use ListParticipantsResponse.ProtoReflect.Descriptor instead.

func (*ListParticipantsResponse) GetNextPageToken

func (x *ListParticipantsResponse) GetNextPageToken() string

func (*ListParticipantsResponse) GetParticipants

func (x *ListParticipantsResponse) GetParticipants() []*Participant

func (*ListParticipantsResponse) GetTotalSize

func (x *ListParticipantsResponse) GetTotalSize() int32

func (*ListParticipantsResponse) ProtoMessage

func (*ListParticipantsResponse) ProtoMessage()

func (*ListParticipantsResponse) ProtoReflect

func (x *ListParticipantsResponse) ProtoReflect() protoreflect.Message

func (*ListParticipantsResponse) Reset

func (x *ListParticipantsResponse) Reset()

func (*ListParticipantsResponse) String

func (x *ListParticipantsResponse) String() string

ListRecordingsRequest

type ListRecordingsRequest struct {

	// Required. Format: `conferenceRecords/{conference_record}`
	Parent string `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	// Maximum number of recordings to return. The service might return fewer
	// than this value.
	// If unspecified, at most 10 recordings are returned.
	// The maximum value is 100; values above 100 are coerced to 100.
	// Maximum might change in the future.
	PageSize int32 `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// Page token returned from previous List Call.
	PageToken string `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	// contains filtered or unexported fields
}

Request for ListRecordings method.

func (*ListRecordingsRequest) Descriptor

func (*ListRecordingsRequest) Descriptor() ([]byte, []int)

Deprecated: Use ListRecordingsRequest.ProtoReflect.Descriptor instead.

func (*ListRecordingsRequest) GetPageSize

func (x *ListRecordingsRequest) GetPageSize() int32

func (*ListRecordingsRequest) GetPageToken

func (x *ListRecordingsRequest) GetPageToken() string

func (*ListRecordingsRequest) GetParent

func (x *ListRecordingsRequest) GetParent() string

func (*ListRecordingsRequest) ProtoMessage

func (*ListRecordingsRequest) ProtoMessage()

func (*ListRecordingsRequest) ProtoReflect

func (x *ListRecordingsRequest) ProtoReflect() protoreflect.Message

func (*ListRecordingsRequest) Reset

func (x *ListRecordingsRequest) Reset()

func (*ListRecordingsRequest) String

func (x *ListRecordingsRequest) String() string

ListRecordingsResponse

type ListRecordingsResponse struct {

	// List of recordings in one page.
	Recordings []*Recording `protobuf:"bytes,1,rep,name=recordings,proto3" json:"recordings,omitempty"`
	// Token to be circulated back for further List call if current List doesn't
	// include all the recordings. Unset if all recordings are returned.
	NextPageToken string `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	// contains filtered or unexported fields
}

Response for ListRecordings method.

func (*ListRecordingsResponse) Descriptor

func (*ListRecordingsResponse) Descriptor() ([]byte, []int)

Deprecated: Use ListRecordingsResponse.ProtoReflect.Descriptor instead.

func (*ListRecordingsResponse) GetNextPageToken

func (x *ListRecordingsResponse) GetNextPageToken() string

func (*ListRecordingsResponse) GetRecordings

func (x *ListRecordingsResponse) GetRecordings() []*Recording

func (*ListRecordingsResponse) ProtoMessage

func (*ListRecordingsResponse) ProtoMessage()

func (*ListRecordingsResponse) ProtoReflect

func (x *ListRecordingsResponse) ProtoReflect() protoreflect.Message

func (*ListRecordingsResponse) Reset

func (x *ListRecordingsResponse) Reset()

func (*ListRecordingsResponse) String

func (x *ListRecordingsResponse) String() string

ListTranscriptEntriesRequest

type ListTranscriptEntriesRequest struct {

	// Required. Format:
	// `conferenceRecords/{conference_record}/transcripts/{transcript}`
	Parent string `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	// Maximum number of entries to return. The service might return fewer than
	// this value.
	// If unspecified, at most 10 entries are returned.
	// The maximum value is 100; values above 100 are coerced to 100.
	// Maximum might change in the future.
	PageSize int32 `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// Page token returned from previous List Call.
	PageToken string `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	// contains filtered or unexported fields
}

Request for ListTranscriptEntries method.

func (*ListTranscriptEntriesRequest) Descriptor

func (*ListTranscriptEntriesRequest) Descriptor() ([]byte, []int)

Deprecated: Use ListTranscriptEntriesRequest.ProtoReflect.Descriptor instead.

func (*ListTranscriptEntriesRequest) GetPageSize

func (x *ListTranscriptEntriesRequest) GetPageSize() int32

func (*ListTranscriptEntriesRequest) GetPageToken

func (x *ListTranscriptEntriesRequest) GetPageToken() string

func (*ListTranscriptEntriesRequest) GetParent

func (x *ListTranscriptEntriesRequest) GetParent() string

func (*ListTranscriptEntriesRequest) ProtoMessage

func (*ListTranscriptEntriesRequest) ProtoMessage()

func (*ListTranscriptEntriesRequest) ProtoReflect

func (*ListTranscriptEntriesRequest) Reset

func (x *ListTranscriptEntriesRequest) Reset()

func (*ListTranscriptEntriesRequest) String

ListTranscriptEntriesResponse

type ListTranscriptEntriesResponse struct {

	// List of TranscriptEntries in one page.
	TranscriptEntries []*TranscriptEntry `protobuf:"bytes,1,rep,name=transcript_entries,json=transcriptEntries,proto3" json:"transcript_entries,omitempty"`
	// Token to be circulated back for further List call if current List doesn't
	// include all the transcript entries. Unset if all entries are returned.
	NextPageToken string `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	// contains filtered or unexported fields
}

Response for ListTranscriptEntries method.

func (*ListTranscriptEntriesResponse) Descriptor

func (*ListTranscriptEntriesResponse) Descriptor() ([]byte, []int)

Deprecated: Use ListTranscriptEntriesResponse.ProtoReflect.Descriptor instead.

func (*ListTranscriptEntriesResponse) GetNextPageToken

func (x *ListTranscriptEntriesResponse) GetNextPageToken() string

func (*ListTranscriptEntriesResponse) GetTranscriptEntries

func (x *ListTranscriptEntriesResponse) GetTranscriptEntries() []*TranscriptEntry

func (*ListTranscriptEntriesResponse) ProtoMessage

func (*ListTranscriptEntriesResponse) ProtoMessage()

func (*ListTranscriptEntriesResponse) ProtoReflect

func (*ListTranscriptEntriesResponse) Reset

func (x *ListTranscriptEntriesResponse) Reset()

func (*ListTranscriptEntriesResponse) String

ListTranscriptsRequest

type ListTranscriptsRequest struct {

	// Required. Format: `conferenceRecords/{conference_record}`
	Parent string `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	// Maximum number of transcripts to return. The service might return fewer
	// than this value.
	// If unspecified, at most 10 transcripts are returned.
	// The maximum value is 100; values above 100 are coerced to 100.
	// Maximum might change in the future.
	PageSize int32 `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// Page token returned from previous List Call.
	PageToken string `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	// contains filtered or unexported fields
}

Request for ListTranscripts method.

func (*ListTranscriptsRequest) Descriptor

func (*ListTranscriptsRequest) Descriptor() ([]byte, []int)

Deprecated: Use ListTranscriptsRequest.ProtoReflect.Descriptor instead.

func (*ListTranscriptsRequest) GetPageSize

func (x *ListTranscriptsRequest) GetPageSize() int32

func (*ListTranscriptsRequest) GetPageToken

func (x *ListTranscriptsRequest) GetPageToken() string

func (*ListTranscriptsRequest) GetParent

func (x *ListTranscriptsRequest) GetParent() string

func (*ListTranscriptsRequest) ProtoMessage

func (*ListTranscriptsRequest) ProtoMessage()

func (*ListTranscriptsRequest) ProtoReflect

func (x *ListTranscriptsRequest) ProtoReflect() protoreflect.Message

func (*ListTranscriptsRequest) Reset

func (x *ListTranscriptsRequest) Reset()

func (*ListTranscriptsRequest) String

func (x *ListTranscriptsRequest) String() string

ListTranscriptsResponse

type ListTranscriptsResponse struct {

	// List of transcripts in one page.
	Transcripts []*Transcript `protobuf:"bytes,1,rep,name=transcripts,proto3" json:"transcripts,omitempty"`
	// Token to be circulated back for further List call if current List doesn't
	// include all the transcripts. Unset if all transcripts are returned.
	NextPageToken string `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	// contains filtered or unexported fields
}

Response for ListTranscripts method.

func (*ListTranscriptsResponse) Descriptor

func (*ListTranscriptsResponse) Descriptor() ([]byte, []int)

Deprecated: Use ListTranscriptsResponse.ProtoReflect.Descriptor instead.

func (*ListTranscriptsResponse) GetNextPageToken

func (x *ListTranscriptsResponse) GetNextPageToken() string

func (*ListTranscriptsResponse) GetTranscripts

func (x *ListTranscriptsResponse) GetTranscripts() []*Transcript

func (*ListTranscriptsResponse) ProtoMessage

func (*ListTranscriptsResponse) ProtoMessage()

func (*ListTranscriptsResponse) ProtoReflect

func (x *ListTranscriptsResponse) ProtoReflect() protoreflect.Message

func (*ListTranscriptsResponse) Reset

func (x *ListTranscriptsResponse) Reset()

func (*ListTranscriptsResponse) String

func (x *ListTranscriptsResponse) String() string

Participant

type Participant struct {

	// Types that are valid to be assigned to User:
	//
	//	*Participant_SignedinUser
	//	*Participant_AnonymousUser
	//	*Participant_PhoneUser
	User isParticipant_User `protobuf_oneof:"user"`
	// Output only. Resource name of the participant.
	// Format: `conferenceRecords/{conference_record}/participants/{participant}`
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Output only. Time when the participant first joined the meeting.
	EarliestStartTime *timestamppb.Timestamp `protobuf:"bytes,7,opt,name=earliest_start_time,json=earliestStartTime,proto3" json:"earliest_start_time,omitempty"`
	// Output only. Time when the participant left the meeting for the last time.
	// This can be null if it's an active meeting.
	LatestEndTime *timestamppb.Timestamp `protobuf:"bytes,8,opt,name=latest_end_time,json=latestEndTime,proto3" json:"latest_end_time,omitempty"`
	// contains filtered or unexported fields
}

User who attended or is attending a conference.

func (*Participant) Descriptor

func (*Participant) Descriptor() ([]byte, []int)

Deprecated: Use Participant.ProtoReflect.Descriptor instead.

func (*Participant) GetAnonymousUser

func (x *Participant) GetAnonymousUser() *AnonymousUser

func (*Participant) GetEarliestStartTime

func (x *Participant) GetEarliestStartTime() *timestamppb.Timestamp

func (*Participant) GetLatestEndTime

func (x *Participant) GetLatestEndTime() *timestamppb.Timestamp

func (*Participant) GetName

func (x *Participant) GetName() string

func (*Participant) GetPhoneUser

func (x *Participant) GetPhoneUser() *PhoneUser

func (*Participant) GetSignedinUser

func (x *Participant) GetSignedinUser() *SignedinUser

func (*Participant) GetUser

func (x *Participant) GetUser() isParticipant_User

func (*Participant) ProtoMessage

func (*Participant) ProtoMessage()

func (*Participant) ProtoReflect

func (x *Participant) ProtoReflect() protoreflect.Message

func (*Participant) Reset

func (x *Participant) Reset()

func (*Participant) String

func (x *Participant) String() string

ParticipantSession

type ParticipantSession struct {

	// Identifier. Session id.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Output only. Timestamp when the user session starts.
	StartTime *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	// Output only. Timestamp when the user session ends. Unset if the user
	// session hasn’t ended.
	EndTime *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=end_time,json=endTime,proto3" json:"end_time,omitempty"`
	// contains filtered or unexported fields
}

Refers to each unique join or leave session when a user joins a conference from a device. Note that any time a user joins the conference a new unique ID is assigned. That means if a user joins a space multiple times from the same device, they're assigned different IDs, and are also be treated as different participant sessions.

func (*ParticipantSession) Descriptor

func (*ParticipantSession) Descriptor() ([]byte, []int)

Deprecated: Use ParticipantSession.ProtoReflect.Descriptor instead.

func (*ParticipantSession) GetEndTime

func (x *ParticipantSession) GetEndTime() *timestamppb.Timestamp

func (*ParticipantSession) GetName

func (x *ParticipantSession) GetName() string

func (*ParticipantSession) GetStartTime

func (x *ParticipantSession) GetStartTime() *timestamppb.Timestamp

func (*ParticipantSession) ProtoMessage

func (*ParticipantSession) ProtoMessage()

func (*ParticipantSession) ProtoReflect

func (x *ParticipantSession) ProtoReflect() protoreflect.Message

func (*ParticipantSession) Reset

func (x *ParticipantSession) Reset()

func (*ParticipantSession) String

func (x *ParticipantSession) String() string

Participant_AnonymousUser

type Participant_AnonymousUser struct {
	// Anonymous user.
	AnonymousUser *AnonymousUser `protobuf:"bytes,5,opt,name=anonymous_user,json=anonymousUser,proto3,oneof"`
}

Participant_PhoneUser

type Participant_PhoneUser struct {
	// User calling from their phone.
	PhoneUser *PhoneUser `protobuf:"bytes,6,opt,name=phone_user,json=phoneUser,proto3,oneof"`
}

Participant_SignedinUser

type Participant_SignedinUser struct {
	// Signed-in user.
	SignedinUser *SignedinUser `protobuf:"bytes,4,opt,name=signedin_user,json=signedinUser,proto3,oneof"`
}

PhoneUser

type PhoneUser struct {

	// Output only. Partially redacted user's phone number when calling.
	DisplayName string `protobuf:"bytes,1,opt,name=display_name,json=displayName,proto3" json:"display_name,omitempty"`
	// contains filtered or unexported fields
}

User dialing in from a phone where the user's identity is unknown because they haven't signed in with a Google Account.

func (*PhoneUser) Descriptor

func (*PhoneUser) Descriptor() ([]byte, []int)

Deprecated: Use PhoneUser.ProtoReflect.Descriptor instead.

func (*PhoneUser) GetDisplayName

func (x *PhoneUser) GetDisplayName() string

func (*PhoneUser) ProtoMessage

func (*PhoneUser) ProtoMessage()

func (*PhoneUser) ProtoReflect

func (x *PhoneUser) ProtoReflect() protoreflect.Message

func (*PhoneUser) Reset

func (x *PhoneUser) Reset()

func (*PhoneUser) String

func (x *PhoneUser) String() string

Recording

type Recording struct {

	// Types that are valid to be assigned to Destination:
	//
	//	*Recording_DriveDestination
	Destination isRecording_Destination `protobuf_oneof:"destination"`
	// Output only. Resource name of the recording.
	// Format: `conferenceRecords/{conference_record}/recordings/{recording}`
	// where `{recording}` is a 1:1 mapping to each unique recording session
	// during the conference.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Output only. Current state.
	State Recording_State `protobuf:"varint,3,opt,name=state,proto3,enum=google.apps.meet.v2.Recording_State" json:"state,omitempty"`
	// Output only. Timestamp when the recording started.
	StartTime *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	// Output only. Timestamp when the recording ended.
	EndTime *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=end_time,json=endTime,proto3" json:"end_time,omitempty"`
	// contains filtered or unexported fields
}

Metadata about a recording created during a conference.

func (*Recording) Descriptor

func (*Recording) Descriptor() ([]byte, []int)

Deprecated: Use Recording.ProtoReflect.Descriptor instead.

func (*Recording) GetDestination

func (x *Recording) GetDestination() isRecording_Destination

func (*Recording) GetDriveDestination

func (x *Recording) GetDriveDestination() *DriveDestination

func (*Recording) GetEndTime

func (x *Recording) GetEndTime() *timestamppb.Timestamp

func (*Recording) GetName

func (x *Recording) GetName() string

func (*Recording) GetStartTime

func (x *Recording) GetStartTime() *timestamppb.Timestamp

func (*Recording) GetState

func (x *Recording) GetState() Recording_State

func (*Recording) ProtoMessage

func (*Recording) ProtoMessage()

func (*Recording) ProtoReflect

func (x *Recording) ProtoReflect() protoreflect.Message

func (*Recording) Reset

func (x *Recording) Reset()

func (*Recording) String

func (x *Recording) String() string

Recording_DriveDestination

type Recording_DriveDestination struct {
	// Output only. Recording is saved to Google Drive as an MP4 file. The
	// `drive_destination` includes the Drive `fileId` that can be used to
	// download the file using the `files.get` method of the Drive API.
	DriveDestination *DriveDestination `protobuf:"bytes,6,opt,name=drive_destination,json=driveDestination,proto3,oneof"`
}

Recording_State

type Recording_State int32

Current state of the recording session.

Recording_STATE_UNSPECIFIED, Recording_STARTED, Recording_ENDED, Recording_FILE_GENERATED

const (
	// Default, never used.
	Recording_STATE_UNSPECIFIED Recording_State = 0
	// An active recording session has started.
	Recording_STARTED Recording_State = 1
	// This recording session has ended, but the recording file hasn't been
	// generated yet.
	Recording_ENDED Recording_State = 2
	// Recording file is generated and ready to download.
	Recording_FILE_GENERATED Recording_State = 3
)

func (Recording_State) Descriptor

func (Recording_State) Enum

func (x Recording_State) Enum() *Recording_State

func (Recording_State) EnumDescriptor

func (Recording_State) EnumDescriptor() ([]byte, []int)

Deprecated: Use Recording_State.Descriptor instead.

func (Recording_State) Number

func (Recording_State) String

func (x Recording_State) String() string

func (Recording_State) Type

SignedinUser

type SignedinUser struct {

	// Output only. Unique ID for the user. Interoperable with Admin SDK API and
	// People API. Format: `users/{user}`
	User string `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	// Output only. For a personal device, it's the user's first name and last
	// name. For a robot account, it's the administrator-specified device name.
	// For example, "Altostrat Room".
	DisplayName string `protobuf:"bytes,2,opt,name=display_name,json=displayName,proto3" json:"display_name,omitempty"`
	// contains filtered or unexported fields
}

A signed-in user can be: a) An individual joining from a personal computer, mobile device, or through companion mode. b) A robot account used by conference room devices.

func (*SignedinUser) Descriptor

func (*SignedinUser) Descriptor() ([]byte, []int)

Deprecated: Use SignedinUser.ProtoReflect.Descriptor instead.

func (*SignedinUser) GetDisplayName

func (x *SignedinUser) GetDisplayName() string

func (*SignedinUser) GetUser

func (x *SignedinUser) GetUser() string

func (*SignedinUser) ProtoMessage

func (*SignedinUser) ProtoMessage()

func (*SignedinUser) ProtoReflect

func (x *SignedinUser) ProtoReflect() protoreflect.Message

func (*SignedinUser) Reset

func (x *SignedinUser) Reset()

func (*SignedinUser) String

func (x *SignedinUser) String() string

Space

type Space struct {

	// Immutable. Resource name of the space.
	//
	// Format: `spaces/{space}`.
	//
	// `{space}` is the resource identifier for the space. It's a unique,
	// server-generated ID and is case sensitive. For example, `jQCFfuBOdN5z`.
	//
	// For more information, see [How Meet identifies a meeting
	// space](https://developers.google.com/meet/api/guides/meeting-spaces#identify-meeting-space).
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Output only. URI used to join meetings consisting of
	// `https://meet.google.com/` followed by the `meeting_code`. For example,
	// `https://meet.google.com/abc-mnop-xyz`.
	MeetingUri string `protobuf:"bytes,2,opt,name=meeting_uri,json=meetingUri,proto3" json:"meeting_uri,omitempty"`
	// Output only. Type friendly unique string used to join the meeting.
	//
	// Format: `[a-z]+-[a-z]+-[a-z]+`. For example, `abc-mnop-xyz`.
	//
	// The maximum length is 128 characters.
	//
	// Can only be used as an alias of the space name to get the space.
	MeetingCode string `protobuf:"bytes,3,opt,name=meeting_code,json=meetingCode,proto3" json:"meeting_code,omitempty"`
	// Configuration pertaining to the meeting space.
	Config *SpaceConfig `protobuf:"bytes,5,opt,name=config,proto3" json:"config,omitempty"`
	// Active conference, if it exists.
	ActiveConference *ActiveConference `protobuf:"bytes,6,opt,name=active_conference,json=activeConference,proto3" json:"active_conference,omitempty"`
	// contains filtered or unexported fields
}

Virtual place where conferences are held. Only one active conference can be held in one space at any given time.

func (*Space) Descriptor

func (*Space) Descriptor() ([]byte, []int)

Deprecated: Use Space.ProtoReflect.Descriptor instead.

func (*Space) GetActiveConference

func (x *Space) GetActiveConference() *ActiveConference

func (*Space) GetConfig

func (x *Space) GetConfig() *SpaceConfig

func (*Space) GetMeetingCode

func (x *Space) GetMeetingCode() string

func (*Space) GetMeetingUri

func (x *Space) GetMeetingUri() string

func (*Space) GetName

func (x *Space) GetName() string

func (*Space) ProtoMessage

func (*Space) ProtoMessage()

func (*Space) ProtoReflect

func (x *Space) ProtoReflect() protoreflect.Message

func (*Space) Reset

func (x *Space) Reset()

func (*Space) String

func (x *Space) String() string

SpaceConfig

type SpaceConfig struct {

	// Access type of the meeting space that determines who can join without
	// knocking. Default: The user's default access settings.  Controlled by the
	// user's admin for enterprise users or RESTRICTED.
	AccessType SpaceConfig_AccessType `protobuf:"varint,1,opt,name=access_type,json=accessType,proto3,enum=google.apps.meet.v2.SpaceConfig_AccessType" json:"access_type,omitempty"`
	// Defines the entry points that can be used to join meetings hosted in this
	// meeting space.
	// Default: EntryPointAccess.ALL
	EntryPointAccess SpaceConfig_EntryPointAccess `protobuf:"varint,2,opt,name=entry_point_access,json=entryPointAccess,proto3,enum=google.apps.meet.v2.SpaceConfig_EntryPointAccess" json:"entry_point_access,omitempty"`
	// contains filtered or unexported fields
}

The configuration pertaining to a meeting space.

func (*SpaceConfig) Descriptor

func (*SpaceConfig) Descriptor() ([]byte, []int)

Deprecated: Use SpaceConfig.ProtoReflect.Descriptor instead.

func (*SpaceConfig) GetAccessType

func (x *SpaceConfig) GetAccessType() SpaceConfig_AccessType

func (*SpaceConfig) GetEntryPointAccess

func (x *SpaceConfig) GetEntryPointAccess() SpaceConfig_EntryPointAccess

func (*SpaceConfig) ProtoMessage

func (*SpaceConfig) ProtoMessage()

func (*SpaceConfig) ProtoReflect

func (x *SpaceConfig) ProtoReflect() protoreflect.Message

func (*SpaceConfig) Reset

func (x *SpaceConfig) Reset()

func (*SpaceConfig) String

func (x *SpaceConfig) String() string

SpaceConfig_AccessType

type SpaceConfig_AccessType int32

Possible access types for a meeting space.

SpaceConfig_ACCESS_TYPE_UNSPECIFIED, SpaceConfig_OPEN, SpaceConfig_TRUSTED, SpaceConfig_RESTRICTED

const (
	// Default value specified by the user's organization.
	// Note: This is never returned, as the configured access type is
	// returned instead.
	SpaceConfig_ACCESS_TYPE_UNSPECIFIED SpaceConfig_AccessType = 0
	// Anyone with the join information (for example, the URL or phone access
	// information) can join without knocking.
	SpaceConfig_OPEN SpaceConfig_AccessType = 1
	// Members of the host's organization, invited external users, and dial-in
	// users can join without knocking. Everyone else must knock.
	SpaceConfig_TRUSTED SpaceConfig_AccessType = 2
	// Only invitees can join without knocking. Everyone else must knock.
	SpaceConfig_RESTRICTED SpaceConfig_AccessType = 3
)

func (SpaceConfig_AccessType) Descriptor

func (SpaceConfig_AccessType) Enum

func (SpaceConfig_AccessType) EnumDescriptor

func (SpaceConfig_AccessType) EnumDescriptor() ([]byte, []int)

Deprecated: Use SpaceConfig_AccessType.Descriptor instead.

func (SpaceConfig_AccessType) Number

func (SpaceConfig_AccessType) String

func (x SpaceConfig_AccessType) String() string

func (SpaceConfig_AccessType) Type

SpaceConfig_EntryPointAccess

type SpaceConfig_EntryPointAccess int32

Entry points that can be used to join a meeting. Example: meet.google.com, the Meet Embed SDK Web, or a mobile application.

SpaceConfig_ENTRY_POINT_ACCESS_UNSPECIFIED, SpaceConfig_ALL, SpaceConfig_CREATOR_APP_ONLY

const (
	// Unused.
	SpaceConfig_ENTRY_POINT_ACCESS_UNSPECIFIED SpaceConfig_EntryPointAccess = 0
	// All entry points are allowed.
	SpaceConfig_ALL SpaceConfig_EntryPointAccess = 1
	// Only entry points owned by the Google Cloud project that created the
	// space can be used to join meetings in this space. Apps can use the Meet
	// Embed SDK Web or mobile Meet SDKs to create owned entry points.
	SpaceConfig_CREATOR_APP_ONLY SpaceConfig_EntryPointAccess = 2
)

func (SpaceConfig_EntryPointAccess) Descriptor

func (SpaceConfig_EntryPointAccess) Enum

func (SpaceConfig_EntryPointAccess) EnumDescriptor

func (SpaceConfig_EntryPointAccess) EnumDescriptor() ([]byte, []int)

Deprecated: Use SpaceConfig_EntryPointAccess.Descriptor instead.

func (SpaceConfig_EntryPointAccess) Number

func (SpaceConfig_EntryPointAccess) String

func (SpaceConfig_EntryPointAccess) Type

SpacesServiceClient

type SpacesServiceClient interface {
	// Creates a space.
	CreateSpace(ctx context.Context, in *CreateSpaceRequest, opts ...grpc.CallOption) (*Space, error)
	// Gets details about a meeting space.
	//
	// For an example, see [Get a meeting
	// space](https://developers.google.com/meet/api/guides/meeting-spaces#get-meeting-space).
	GetSpace(ctx context.Context, in *GetSpaceRequest, opts ...grpc.CallOption) (*Space, error)
	// Updates details about a meeting space.
	//
	// For an example, see [Update a meeting
	// space](https://developers.google.com/meet/api/guides/meeting-spaces#update-meeting-space).
	UpdateSpace(ctx context.Context, in *UpdateSpaceRequest, opts ...grpc.CallOption) (*Space, error)
	// Ends an active conference (if there's one).
	//
	// For an example, see [End active
	// conference](https://developers.google.com/meet/api/guides/meeting-spaces#end-active-conference).
	EndActiveConference(ctx context.Context, in *EndActiveConferenceRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
}

SpacesServiceClient is the client API for SpacesService service.

For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.

func NewSpacesServiceClient

func NewSpacesServiceClient(cc grpc.ClientConnInterface) SpacesServiceClient

SpacesServiceServer

type SpacesServiceServer interface {
	// Creates a space.
	CreateSpace(context.Context, *CreateSpaceRequest) (*Space, error)
	// Gets details about a meeting space.
	//
	// For an example, see [Get a meeting
	// space](https://developers.google.com/meet/api/guides/meeting-spaces#get-meeting-space).
	GetSpace(context.Context, *GetSpaceRequest) (*Space, error)
	// Updates details about a meeting space.
	//
	// For an example, see [Update a meeting
	// space](https://developers.google.com/meet/api/guides/meeting-spaces#update-meeting-space).
	UpdateSpace(context.Context, *UpdateSpaceRequest) (*Space, error)
	// Ends an active conference (if there's one).
	//
	// For an example, see [End active
	// conference](https://developers.google.com/meet/api/guides/meeting-spaces#end-active-conference).
	EndActiveConference(context.Context, *EndActiveConferenceRequest) (*emptypb.Empty, error)
}

SpacesServiceServer is the server API for SpacesService service. All implementations should embed UnimplementedSpacesServiceServer for forward compatibility

Transcript

type Transcript struct {

	// Types that are valid to be assigned to Destination:
	//
	//	*Transcript_DocsDestination
	Destination isTranscript_Destination `protobuf_oneof:"destination"`
	// Output only. Resource name of the transcript.
	// Format: `conferenceRecords/{conference_record}/transcripts/{transcript}`,
	// where `{transcript}` is a 1:1 mapping to each unique transcription session
	// of the conference.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Output only. Current state.
	State Transcript_State `protobuf:"varint,3,opt,name=state,proto3,enum=google.apps.meet.v2.Transcript_State" json:"state,omitempty"`
	// Output only. Timestamp when the transcript started.
	StartTime *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	// Output only. Timestamp when the transcript stopped.
	EndTime *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=end_time,json=endTime,proto3" json:"end_time,omitempty"`
	// contains filtered or unexported fields
}

Metadata for a transcript generated from a conference. It refers to the ASR (Automatic Speech Recognition) result of user's speech during the conference.

func (*Transcript) Descriptor

func (*Transcript) Descriptor() ([]byte, []int)

Deprecated: Use Transcript.ProtoReflect.Descriptor instead.

func (*Transcript) GetDestination

func (x *Transcript) GetDestination() isTranscript_Destination

func (*Transcript) GetDocsDestination

func (x *Transcript) GetDocsDestination() *DocsDestination

func (*Transcript) GetEndTime

func (x *Transcript) GetEndTime() *timestamppb.Timestamp

func (*Transcript) GetName

func (x *Transcript) GetName() string

func (*Transcript) GetStartTime

func (x *Transcript) GetStartTime() *timestamppb.Timestamp

func (*Transcript) GetState

func (x *Transcript) GetState() Transcript_State

func (*Transcript) ProtoMessage

func (*Transcript) ProtoMessage()

func (*Transcript) ProtoReflect

func (x *Transcript) ProtoReflect() protoreflect.Message

func (*Transcript) Reset

func (x *Transcript) Reset()

func (*Transcript) String

func (x *Transcript) String() string

TranscriptEntry

type TranscriptEntry struct {

	// Output only. Resource name of the entry. Format:
	// "conferenceRecords/{conference_record}/transcripts/{transcript}/entries/{entry}"
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Output only. Refers to the participant who speaks.
	Participant string `protobuf:"bytes,2,opt,name=participant,proto3" json:"participant,omitempty"`
	// Output only. The transcribed text of the participant's voice, at maximum
	// 10K words. Note that the limit is subject to change.
	Text string `protobuf:"bytes,3,opt,name=text,proto3" json:"text,omitempty"`
	// Output only. Language of spoken text, such as "en-US".
	// IETF BCP 47 syntax (https://tools.ietf.org/html/bcp47)
	LanguageCode string `protobuf:"bytes,4,opt,name=language_code,json=languageCode,proto3" json:"language_code,omitempty"`
	// Output only. Timestamp when the transcript entry started.
	StartTime *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	// Output only. Timestamp when the transcript entry ended.
	EndTime *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=end_time,json=endTime,proto3" json:"end_time,omitempty"`
	// contains filtered or unexported fields
}

Single entry for one user’s speech during a transcript session.

func (*TranscriptEntry) Descriptor

func (*TranscriptEntry) Descriptor() ([]byte, []int)

Deprecated: Use TranscriptEntry.ProtoReflect.Descriptor instead.

func (*TranscriptEntry) GetEndTime

func (x *TranscriptEntry) GetEndTime() *timestamppb.Timestamp

func (*TranscriptEntry) GetLanguageCode

func (x *TranscriptEntry) GetLanguageCode() string

func (*TranscriptEntry) GetName

func (x *TranscriptEntry) GetName() string

func (*TranscriptEntry) GetParticipant

func (x *TranscriptEntry) GetParticipant() string

func (*TranscriptEntry) GetStartTime

func (x *TranscriptEntry) GetStartTime() *timestamppb.Timestamp

func (*TranscriptEntry) GetText

func (x *TranscriptEntry) GetText() string

func (*TranscriptEntry) ProtoMessage

func (*TranscriptEntry) ProtoMessage()

func (*TranscriptEntry) ProtoReflect

func (x *TranscriptEntry) ProtoReflect() protoreflect.Message

func (*TranscriptEntry) Reset

func (x *TranscriptEntry) Reset()

func (*TranscriptEntry) String

func (x *TranscriptEntry) String() string

Transcript_DocsDestination

type Transcript_DocsDestination struct {
	// Output only. Where the Google Docs transcript is saved.
	DocsDestination *DocsDestination `protobuf:"bytes,6,opt,name=docs_destination,json=docsDestination,proto3,oneof"`
}

Transcript_State

type Transcript_State int32

Current state of the transcript session.

Transcript_STATE_UNSPECIFIED, Transcript_STARTED, Transcript_ENDED, Transcript_FILE_GENERATED

const (
	// Default, never used.
	Transcript_STATE_UNSPECIFIED Transcript_State = 0
	// An active transcript session has started.
	Transcript_STARTED Transcript_State = 1
	// This transcript session has ended, but the transcript file hasn't been
	// generated yet.
	Transcript_ENDED Transcript_State = 2
	// Transcript file is generated and ready to download.
	Transcript_FILE_GENERATED Transcript_State = 3
)

func (Transcript_State) Descriptor

func (Transcript_State) Enum

func (Transcript_State) EnumDescriptor

func (Transcript_State) EnumDescriptor() ([]byte, []int)

Deprecated: Use Transcript_State.Descriptor instead.

func (Transcript_State) Number

func (Transcript_State) String

func (x Transcript_State) String() string

func (Transcript_State) Type

UnimplementedConferenceRecordsServiceServer

type UnimplementedConferenceRecordsServiceServer struct {
}

UnimplementedConferenceRecordsServiceServer should be embedded to have forward compatible implementations.

func (UnimplementedConferenceRecordsServiceServer) GetConferenceRecord

func (UnimplementedConferenceRecordsServiceServer) GetParticipant

func (UnimplementedConferenceRecordsServiceServer) GetParticipantSession

func (UnimplementedConferenceRecordsServiceServer) GetRecording

func (UnimplementedConferenceRecordsServiceServer) GetTranscript

func (UnimplementedConferenceRecordsServiceServer) GetTranscriptEntry

func (UnimplementedConferenceRecordsServiceServer) ListConferenceRecords

func (UnimplementedConferenceRecordsServiceServer) ListParticipantSessions

func (UnimplementedConferenceRecordsServiceServer) ListParticipants

func (UnimplementedConferenceRecordsServiceServer) ListRecordings

func (UnimplementedConferenceRecordsServiceServer) ListTranscriptEntries

func (UnimplementedConferenceRecordsServiceServer) ListTranscripts

UnimplementedSpacesServiceServer

type UnimplementedSpacesServiceServer struct {
}

UnimplementedSpacesServiceServer should be embedded to have forward compatible implementations.

func (UnimplementedSpacesServiceServer) CreateSpace

func (UnimplementedSpacesServiceServer) EndActiveConference

func (UnimplementedSpacesServiceServer) GetSpace

func (UnimplementedSpacesServiceServer) UpdateSpace

UnsafeConferenceRecordsServiceServer

type UnsafeConferenceRecordsServiceServer interface {
	// contains filtered or unexported methods
}

UnsafeConferenceRecordsServiceServer may be embedded to opt out of forward compatibility for this service. Use of this interface is not recommended, as added methods to ConferenceRecordsServiceServer will result in compilation errors.

UnsafeSpacesServiceServer

type UnsafeSpacesServiceServer interface {
	// contains filtered or unexported methods
}

UnsafeSpacesServiceServer may be embedded to opt out of forward compatibility for this service. Use of this interface is not recommended, as added methods to SpacesServiceServer will result in compilation errors.

UpdateSpaceRequest

type UpdateSpaceRequest struct {

	// Required. Space to be updated.
	Space *Space `protobuf:"bytes,1,opt,name=space,proto3" json:"space,omitempty"`
	// Optional. Field mask used to specify the fields to be updated in the space.
	// If update_mask isn't provided(not set, set with empty paths, or only has ""
	// as paths), it defaults to update all fields provided with values in the
	// request.
	// Using "*" as update_mask will update all fields, including deleting fields
	// not set in the request.
	UpdateMask *fieldmaskpb.FieldMask `protobuf:"bytes,2,opt,name=update_mask,json=updateMask,proto3" json:"update_mask,omitempty"`
	// contains filtered or unexported fields
}

Request to update a space.

func (*UpdateSpaceRequest) Descriptor

func (*UpdateSpaceRequest) Descriptor() ([]byte, []int)

Deprecated: Use UpdateSpaceRequest.ProtoReflect.Descriptor instead.

func (*UpdateSpaceRequest) GetSpace

func (x *UpdateSpaceRequest) GetSpace() *Space

func (*UpdateSpaceRequest) GetUpdateMask

func (x *UpdateSpaceRequest) GetUpdateMask() *fieldmaskpb.FieldMask

func (*UpdateSpaceRequest) ProtoMessage

func (*UpdateSpaceRequest) ProtoMessage()

func (*UpdateSpaceRequest) ProtoReflect

func (x *UpdateSpaceRequest) ProtoReflect() protoreflect.Message

func (*UpdateSpaceRequest) Reset

func (x *UpdateSpaceRequest) Reset()

func (*UpdateSpaceRequest) String

func (x *UpdateSpaceRequest) String() string